<?php

App::uses('CakeEventListener', 'Event');

class EvCheckoutOrderSuccessListener implements CakeEventListener {

	public function implementedEvents() {
		return array(
			'EvCheckout.Controller.Order.success' => 'createCybertillOrder'
		);
	}

	/**
	 * Reduce the stock levels for the given item
	 *
	 * @param 	CakeEvent
	 */
	public function createCybertillOrder(CakeEvent $Event) {
		// 'orderId' should be set in data
		if (empty($Event->data['orderId'])) {
			return false;
		}

		$Order = EvClassRegistry::init('EvCheckout.Order');
		$order = $Order->readForCybertillTransaction($Event->data['orderId']);

		$CybertillTransaction = EvClassRegistry::init('EvCybertill.CybertillTransaction');
		$result = $CybertillTransaction->createTransaction(
			$order,
			'EvCheckout.Order',
			'Order.id'
		);

		return $result;
	}
}
